<?php
session_start(); // Initialize session data
ob_start(); // Turn on output buffering
?>
<?php include "ewcfg6.php" ?>
<?php include "ewmysql6.php" ?>
<?php include "phpfn6.php" ?>
<?php include "usuarioinfo.php" ?>
<?php include "userfn6.php" ?>
<?php
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT"); // Date in the past
header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT"); // Always modified
header("Cache-Control: private, no-store, no-cache, must-revalidate"); // HTTP/1.1 
header("Cache-Control: post-check=0, pre-check=0", false);
header("Pragma: no-cache"); // HTTP/1.0
?>
<?php

// Define page object
$usuario_edit = new cusuario_edit();
$Page =& $usuario_edit;

// Page init processing
$usuario_edit->Page_Init();

// Page main processing
$usuario_edit->Page_Main();
?>
<?php include "header.php" ?>
<script type="text/javascript">
<!--

// Create page object
var usuario_edit = new ew_Page("usuario_edit");

// page properties
usuario_edit.PageID = "edit"; // page ID
var EW_PAGE_ID = usuario_edit.PageID; // for backward compatibility

// extend page with ValidateForm function
usuario_edit.ValidateForm = function(fobj) {
	if (!this.ValidateRequired)
		return true; // ignore validation
	if (fobj.a_confirm && fobj.a_confirm.value == "F")
		return true;
	var i, elm, aelm, infix;
	var rowcnt = (fobj.key_count) ? Number(fobj.key_count.value) : 1;
	for (i=0; i<rowcnt; i++) {
		infix = (fobj.key_count) ? String(i+1) : "";
		elm = fobj.elements["x" + infix + "_cod_area"];
		if (elm && !ew_HasValue(elm))
			return ew_OnError(this, elm, "Ingresar campo obligatorio - cod area");
		elm = fobj.elements["x" + infix + "_cod_area"];
		if (elm && !ew_CheckInteger(elm.value))
			return ew_OnError(this, elm, "Incorrect integer - cod area");
		elm = fobj.elements["x" + infix + "_cod_grupo_usuario"];
		if (elm && !ew_HasValue(elm))
			return ew_OnError(this, elm, "Ingresar campo obligatorio - cod grupo usuario");
		elm = fobj.elements["x" + infix + "_cod_grupo_usuario"];
		if (elm && !ew_CheckInteger(elm.value))
			return ew_OnError(this, elm, "Incorrect integer - cod grupo usuario");
		elm = fobj.elements["x" + infix + "_num_dni"];
		if (elm && !ew_HasValue(elm))
			return ew_OnError(this, elm, "Ingresar campo obligatorio - num dni");
		elm = fobj.elements["x" + infix + "_nom_usuario"];
		if (elm && !ew_HasValue(elm))
			return ew_OnError(this, elm, "Ingresar campo obligatorio - nom usuario");
		elm = fobj.elements["x" + infix + "_ape_usuario"];
		if (elm && !ew_HasValue(elm))
			return ew_OnError(this, elm, "Ingresar campo obligatorio - ape usuario");
		elm = fobj.elements["x" + infix + "_des_direccion"];
		if (elm && !ew_HasValue(elm))
			return ew_OnError(this, elm, "Ingresar campo obligatorio - des direccion");
		elm = fobj.elements["x" + infix + "_fec_ingreso"];
		if (elm && !ew_HasValue(elm))
			return ew_OnError(this, elm, "Ingresar campo obligatorio - fec ingreso");
		elm = fobj.elements["x" + infix + "_fec_ingreso"];
		if (elm && !ew_CheckDate(elm.value))
			return ew_OnError(this, elm, "Incorrect date, format = yyyy/mm/dd - fec ingreso");
		elm = fobj.elements["x" + infix + "_ind_activo"];
		if (elm && !ew_HasValue(elm))
			return ew_OnError(this, elm, "Ingresar campo obligatorio - ind activo");
		elm = fobj.elements["x" + infix + "_cod_usuario_registro"];
		if (elm && !ew_HasValue(elm))
			return ew_OnError(this, elm, "Ingresar campo obligatorio - cod usuario registro");
		elm = fobj.elements["x" + infix + "_cod_usuario_registro"];
		if (elm && !ew_CheckInteger(elm.value))
			return ew_OnError(this, elm, "Incorrect integer - cod usuario registro");
		elm = fobj.elements["x" + infix + "_fec_registro"];
		if (elm && !ew_HasValue(elm))
			return ew_OnError(this, elm, "Ingresar campo obligatorio - fec registro");
		elm = fobj.elements["x" + infix + "_fec_registro"];
		if (elm && !ew_CheckDate(elm.value))
			return ew_OnError(this, elm, "Incorrect date, format = yyyy/mm/dd - fec registro");
		elm = fobj.elements["x" + infix + "_cod_usuario_modificacion"];
		if (elm && !ew_CheckInteger(elm.value))
			return ew_OnError(this, elm, "Incorrect integer - cod usuario modificacion");
		elm = fobj.elements["x" + infix + "_fec_ultima_modificacion"];
		if (elm && !ew_CheckDate(elm.value))
			return ew_OnError(this, elm, "Incorrect date, format = yyyy/mm/dd - fec ultima modificacion");

		// Call Form Custom Validate event
		if (!this.Form_CustomValidate(fobj)) return false;
	}
	return true;
}

// extend page with Form_CustomValidate function
usuario_edit.Form_CustomValidate = 
 function(fobj) { // DO NOT CHANGE THIS LINE!

 	// Your custom validation code here, return false if invalid. 
 	return true;
 }
<?php if (EW_CLIENT_VALIDATE) { ?>
usuario_edit.ValidateRequired = true; // uses JavaScript validation
<?php } else { ?>
usuario_edit.ValidateRequired = false; // no JavaScript validation
<?php } ?>

//-->
</script>
<script type="text/javascript">
<!--
var ew_DHTMLEditors = [];

//-->
</script>
<script language="JavaScript" type="text/javascript">
<!--

// Write your client script here, no need to add script tags.
// To include another .js script, use:
// ew_ClientScriptInclude("my_javascript.js"); 
//-->

</script>
<p><span class="phpmaker"><img src='images/edit.gif' width='16' height='16' border='0' alt='Editar'> TABLA: usuario<br><br>
<a href="<?php echo $usuario->getReturnUrl() ?>">Regresar</a></span></p>
<?php $usuario_edit->ShowMessage() ?>
<form name="fusuarioedit" id="fusuarioedit" action="<?php echo ew_CurrentPage() ?>" method="post" onsubmit="return usuario_edit.ValidateForm(this);">
<p>
<input type="hidden" name="a_table" id="a_table" value="usuario">
<input type="hidden" name="a_edit" id="a_edit" value="U">
<table cellspacing="0" class="ewGrid"><tr><td class="ewGridContent">
<div class="ewGridMiddlePanel">
<table cellspacing="0" class="ewTable">
<?php if ($usuario->cod_usuario->Visible) { // cod_usuario ?>
	<tr<?php echo $usuario->cod_usuario->RowAttributes ?>>
		<td class="ewTableHeader">cod usuario</td>
		<td<?php echo $usuario->cod_usuario->CellAttributes() ?>><span id="el_cod_usuario">
<div<?php echo $usuario->cod_usuario->ViewAttributes() ?>><?php echo $usuario->cod_usuario->EditValue ?></div><input type="hidden" name="x_cod_usuario" id="x_cod_usuario" value="<?php echo ew_HtmlEncode($usuario->cod_usuario->CurrentValue) ?>">
</span><?php echo $usuario->cod_usuario->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($usuario->cod_distrito->Visible) { // cod_distrito ?>
	<tr<?php echo $usuario->cod_distrito->RowAttributes ?>>
		<td class="ewTableHeader">cod distrito</td>
		<td<?php echo $usuario->cod_distrito->CellAttributes() ?>><span id="el_cod_distrito">
<input type="text" name="x_cod_distrito" id="x_cod_distrito" size="30" maxlength="7" value="<?php echo $usuario->cod_distrito->EditValue ?>"<?php echo $usuario->cod_distrito->EditAttributes() ?>>
</span><?php echo $usuario->cod_distrito->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($usuario->cod_provincia->Visible) { // cod_provincia ?>
	<tr<?php echo $usuario->cod_provincia->RowAttributes ?>>
		<td class="ewTableHeader">cod provincia</td>
		<td<?php echo $usuario->cod_provincia->CellAttributes() ?>><span id="el_cod_provincia">
<input type="text" name="x_cod_provincia" id="x_cod_provincia" size="30" maxlength="4" value="<?php echo $usuario->cod_provincia->EditValue ?>"<?php echo $usuario->cod_provincia->EditAttributes() ?>>
</span><?php echo $usuario->cod_provincia->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($usuario->cod_dpto->Visible) { // cod_dpto ?>
	<tr<?php echo $usuario->cod_dpto->RowAttributes ?>>
		<td class="ewTableHeader">cod dpto</td>
		<td<?php echo $usuario->cod_dpto->CellAttributes() ?>><span id="el_cod_dpto">
<input type="text" name="x_cod_dpto" id="x_cod_dpto" size="30" maxlength="2" value="<?php echo $usuario->cod_dpto->EditValue ?>"<?php echo $usuario->cod_dpto->EditAttributes() ?>>
</span><?php echo $usuario->cod_dpto->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($usuario->cod_area->Visible) { // cod_area ?>
	<tr<?php echo $usuario->cod_area->RowAttributes ?>>
		<td class="ewTableHeader">cod area<span class="ewRequired">&nbsp;*</span></td>
		<td<?php echo $usuario->cod_area->CellAttributes() ?>><span id="el_cod_area">
<input type="text" name="x_cod_area" id="x_cod_area" size="30" value="<?php echo $usuario->cod_area->EditValue ?>"<?php echo $usuario->cod_area->EditAttributes() ?>>
</span><?php echo $usuario->cod_area->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($usuario->cod_grupo_usuario->Visible) { // cod_grupo_usuario ?>
	<tr<?php echo $usuario->cod_grupo_usuario->RowAttributes ?>>
		<td class="ewTableHeader">cod grupo usuario<span class="ewRequired">&nbsp;*</span></td>
		<td<?php echo $usuario->cod_grupo_usuario->CellAttributes() ?>><span id="el_cod_grupo_usuario">
<input type="text" name="x_cod_grupo_usuario" id="x_cod_grupo_usuario" size="30" value="<?php echo $usuario->cod_grupo_usuario->EditValue ?>"<?php echo $usuario->cod_grupo_usuario->EditAttributes() ?>>
</span><?php echo $usuario->cod_grupo_usuario->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($usuario->num_dni->Visible) { // num_dni ?>
	<tr<?php echo $usuario->num_dni->RowAttributes ?>>
		<td class="ewTableHeader">num dni<span class="ewRequired">&nbsp;*</span></td>
		<td<?php echo $usuario->num_dni->CellAttributes() ?>><span id="el_num_dni">
<input type="text" name="x_num_dni" id="x_num_dni" size="30" maxlength="8" value="<?php echo $usuario->num_dni->EditValue ?>"<?php echo $usuario->num_dni->EditAttributes() ?>>
</span><?php echo $usuario->num_dni->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($usuario->nom_usuario->Visible) { // nom_usuario ?>
	<tr<?php echo $usuario->nom_usuario->RowAttributes ?>>
		<td class="ewTableHeader">nom usuario<span class="ewRequired">&nbsp;*</span></td>
		<td<?php echo $usuario->nom_usuario->CellAttributes() ?>><span id="el_nom_usuario">
<input type="text" name="x_nom_usuario" id="x_nom_usuario" size="30" maxlength="30" value="<?php echo $usuario->nom_usuario->EditValue ?>"<?php echo $usuario->nom_usuario->EditAttributes() ?>>
</span><?php echo $usuario->nom_usuario->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($usuario->ape_usuario->Visible) { // ape_usuario ?>
	<tr<?php echo $usuario->ape_usuario->RowAttributes ?>>
		<td class="ewTableHeader">ape usuario<span class="ewRequired">&nbsp;*</span></td>
		<td<?php echo $usuario->ape_usuario->CellAttributes() ?>><span id="el_ape_usuario">
<input type="text" name="x_ape_usuario" id="x_ape_usuario" size="30" maxlength="30" value="<?php echo $usuario->ape_usuario->EditValue ?>"<?php echo $usuario->ape_usuario->EditAttributes() ?>>
</span><?php echo $usuario->ape_usuario->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($usuario->des_direccion->Visible) { // des_direccion ?>
	<tr<?php echo $usuario->des_direccion->RowAttributes ?>>
		<td class="ewTableHeader">des direccion<span class="ewRequired">&nbsp;*</span></td>
		<td<?php echo $usuario->des_direccion->CellAttributes() ?>><span id="el_des_direccion">
<input type="text" name="x_des_direccion" id="x_des_direccion" size="30" maxlength="100" value="<?php echo $usuario->des_direccion->EditValue ?>"<?php echo $usuario->des_direccion->EditAttributes() ?>>
</span><?php echo $usuario->des_direccion->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($usuario->num_telefono->Visible) { // num_telefono ?>
	<tr<?php echo $usuario->num_telefono->RowAttributes ?>>
		<td class="ewTableHeader">num telefono</td>
		<td<?php echo $usuario->num_telefono->CellAttributes() ?>><span id="el_num_telefono">
<input type="text" name="x_num_telefono" id="x_num_telefono" size="30" maxlength="20" value="<?php echo $usuario->num_telefono->EditValue ?>"<?php echo $usuario->num_telefono->EditAttributes() ?>>
</span><?php echo $usuario->num_telefono->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($usuario->des_email->Visible) { // des_email ?>
	<tr<?php echo $usuario->des_email->RowAttributes ?>>
		<td class="ewTableHeader">des email</td>
		<td<?php echo $usuario->des_email->CellAttributes() ?>><span id="el_des_email">
<input type="text" name="x_des_email" id="x_des_email" size="30" maxlength="60" value="<?php echo $usuario->des_email->EditValue ?>"<?php echo $usuario->des_email->EditAttributes() ?>>
</span><?php echo $usuario->des_email->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($usuario->fec_ingreso->Visible) { // fec_ingreso ?>
	<tr<?php echo $usuario->fec_ingreso->RowAttributes ?>>
		<td class="ewTableHeader">fec ingreso<span class="ewRequired">&nbsp;*</span></td>
		<td<?php echo $usuario->fec_ingreso->CellAttributes() ?>><span id="el_fec_ingreso">
<input type="text" name="x_fec_ingreso" id="x_fec_ingreso" value="<?php echo $usuario->fec_ingreso->EditValue ?>"<?php echo $usuario->fec_ingreso->EditAttributes() ?>>
</span><?php echo $usuario->fec_ingreso->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($usuario->des_info_adicional->Visible) { // des_info_adicional ?>
	<tr<?php echo $usuario->des_info_adicional->RowAttributes ?>>
		<td class="ewTableHeader">des info adicional</td>
		<td<?php echo $usuario->des_info_adicional->CellAttributes() ?>><span id="el_des_info_adicional">
<textarea name="x_des_info_adicional" id="x_des_info_adicional" cols="35" rows="4"<?php echo $usuario->des_info_adicional->EditAttributes() ?>><?php echo $usuario->des_info_adicional->EditValue ?></textarea>
</span><?php echo $usuario->des_info_adicional->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($usuario->nom_usuario_sistema->Visible) { // nom_usuario_sistema ?>
	<tr<?php echo $usuario->nom_usuario_sistema->RowAttributes ?>>
		<td class="ewTableHeader">nom usuario sistema</td>
		<td<?php echo $usuario->nom_usuario_sistema->CellAttributes() ?>><span id="el_nom_usuario_sistema">
<input type="text" name="x_nom_usuario_sistema" id="x_nom_usuario_sistema" size="30" maxlength="20" value="<?php echo $usuario->nom_usuario_sistema->EditValue ?>"<?php echo $usuario->nom_usuario_sistema->EditAttributes() ?>>
</span><?php echo $usuario->nom_usuario_sistema->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($usuario->des_password->Visible) { // des_password ?>
	<tr<?php echo $usuario->des_password->RowAttributes ?>>
		<td class="ewTableHeader">des password</td>
		<td<?php echo $usuario->des_password->CellAttributes() ?>><span id="el_des_password">
<input type="text" name="x_des_password" id="x_des_password" size="30" maxlength="20" value="<?php echo $usuario->des_password->EditValue ?>"<?php echo $usuario->des_password->EditAttributes() ?>>
</span><?php echo $usuario->des_password->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($usuario->ind_activo->Visible) { // ind_activo ?>
	<tr<?php echo $usuario->ind_activo->RowAttributes ?>>
		<td class="ewTableHeader">ind activo<span class="ewRequired">&nbsp;*</span></td>
		<td<?php echo $usuario->ind_activo->CellAttributes() ?>><span id="el_ind_activo">
<input type="text" name="x_ind_activo" id="x_ind_activo" size="30" maxlength="1" value="<?php echo $usuario->ind_activo->EditValue ?>"<?php echo $usuario->ind_activo->EditAttributes() ?>>
</span><?php echo $usuario->ind_activo->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($usuario->cod_usuario_registro->Visible) { // cod_usuario_registro ?>
	<tr<?php echo $usuario->cod_usuario_registro->RowAttributes ?>>
		<td class="ewTableHeader">cod usuario registro<span class="ewRequired">&nbsp;*</span></td>
		<td<?php echo $usuario->cod_usuario_registro->CellAttributes() ?>><span id="el_cod_usuario_registro">
<input type="text" name="x_cod_usuario_registro" id="x_cod_usuario_registro" size="30" value="<?php echo $usuario->cod_usuario_registro->EditValue ?>"<?php echo $usuario->cod_usuario_registro->EditAttributes() ?>>
</span><?php echo $usuario->cod_usuario_registro->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($usuario->fec_registro->Visible) { // fec_registro ?>
	<tr<?php echo $usuario->fec_registro->RowAttributes ?>>
		<td class="ewTableHeader">fec registro<span class="ewRequired">&nbsp;*</span></td>
		<td<?php echo $usuario->fec_registro->CellAttributes() ?>><span id="el_fec_registro">
<input type="text" name="x_fec_registro" id="x_fec_registro" value="<?php echo $usuario->fec_registro->EditValue ?>"<?php echo $usuario->fec_registro->EditAttributes() ?>>
</span><?php echo $usuario->fec_registro->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($usuario->cod_usuario_modificacion->Visible) { // cod_usuario_modificacion ?>
	<tr<?php echo $usuario->cod_usuario_modificacion->RowAttributes ?>>
		<td class="ewTableHeader">cod usuario modificacion</td>
		<td<?php echo $usuario->cod_usuario_modificacion->CellAttributes() ?>><span id="el_cod_usuario_modificacion">
<input type="text" name="x_cod_usuario_modificacion" id="x_cod_usuario_modificacion" size="30" value="<?php echo $usuario->cod_usuario_modificacion->EditValue ?>"<?php echo $usuario->cod_usuario_modificacion->EditAttributes() ?>>
</span><?php echo $usuario->cod_usuario_modificacion->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($usuario->fec_ultima_modificacion->Visible) { // fec_ultima_modificacion ?>
	<tr<?php echo $usuario->fec_ultima_modificacion->RowAttributes ?>>
		<td class="ewTableHeader">fec ultima modificacion</td>
		<td<?php echo $usuario->fec_ultima_modificacion->CellAttributes() ?>><span id="el_fec_ultima_modificacion">
<input type="text" name="x_fec_ultima_modificacion" id="x_fec_ultima_modificacion" value="<?php echo $usuario->fec_ultima_modificacion->EditValue ?>"<?php echo $usuario->fec_ultima_modificacion->EditAttributes() ?>>
</span><?php echo $usuario->fec_ultima_modificacion->CustomMsg ?></td>
	</tr>
<?php } ?>
</table>
</div>
</td></tr></table>
<p>
<input type="submit" name="btnAction" id="btnAction" value="  Editar  ">
</form>
<script language="JavaScript" type="text/javascript">
<!--

// Write your table-specific startup script here
// document.write("page loaded");
//-->

</script>
<?php include "footer.php" ?>
<?php

//
// Page Class
//
class cusuario_edit {

	// Page ID
	var $PageID = 'edit';

	// Table Name
	var $TableName = 'usuario';

	// Page Object Name
	var $PageObjName = 'usuario_edit';

	// Page Name
	function PageName() {
		return ew_CurrentPage();
	}

	// Page Url
	function PageUrl() {
		$PageUrl = ew_CurrentPage() . "?";
		global $usuario;
		if ($usuario->UseTokenInUrl) $PageUrl .= "t=" . $usuario->TableVar . "&"; // add page token
		return $PageUrl;
	}

	// Message
	function getMessage() {
		return @$_SESSION[EW_SESSION_MESSAGE];
	}

	function setMessage($v) {
		if (@$_SESSION[EW_SESSION_MESSAGE] <> "") { // Append
			$_SESSION[EW_SESSION_MESSAGE] .= "<br>" . $v;
		} else {
			$_SESSION[EW_SESSION_MESSAGE] = $v;
		}
	}

	// Show Message
	function ShowMessage() {
		if ($this->getMessage() <> "") { // Message in Session, display
			echo "<p><span class=\"ewMessage\">" . $this->getMessage() . "</span></p>";
			$_SESSION[EW_SESSION_MESSAGE] = ""; // Clear message in Session
		}
	}

	// Validate Page request
	function IsPageRequest() {
		global $objForm, $usuario;
		if ($usuario->UseTokenInUrl) {

			//IsPageRequest = False
			if ($objForm)
				return ($usuario->TableVar == $objForm->GetValue("t"));
			if (@$_GET["t"] <> "")
				return ($usuario->TableVar == $_GET["t"]);
		} else {
			return TRUE;
		}
	}

	//
	//  Class initialize
	//  - init objects
	//  - open connection
	//
	function cusuario_edit() {
		global $conn;

		// Initialize table object
		$GLOBALS["usuario"] = new cusuario();

		// Intialize page id (for backward compatibility)
		if (!defined("EW_PAGE_ID"))
			define("EW_PAGE_ID", 'edit', TRUE);

		// Initialize table name (for backward compatibility)
		if (!defined("EW_TABLE_NAME"))
			define("EW_TABLE_NAME", 'usuario', TRUE);

		// Open connection to the database
		$conn = ew_Connect();
	}

	// 
	//  Page_Init
	//
	function Page_Init() {
		global $gsExport, $gsExportFile, $usuario;
		global $Security;
		$Security = new cAdvancedSecurity();
		if (!$Security->IsLoggedIn()) $Security->AutoLogin();
		if (!$Security->IsLoggedIn()) {
			$Security->SaveLastUrl();
			$this->Page_Terminate("login.php");
		}

		// Global page loading event (in userfn6.php)
		Page_Loading();

		// Page load event, used in current page
		$this->Page_Load();
	}

	//
	//  Page_Terminate
	//  - called when exit page
	//  - if URL specified, redirect to the URL
	//
	function Page_Terminate($url = "") {
		global $conn;

		// Page unload event, used in current page
		$this->Page_Unload();

		// Global page unloaded event (in userfn*.php)
		Page_Unloaded();

		 // Close Connection
		$conn->Close();

		// Go to URL if specified
		if ($url <> "") {
			ob_end_clean();
			header("Location: $url");
		}
		exit();
	}

	// 
	// Page main processing
	//
	function Page_Main() {
		global $objForm, $gsFormError, $usuario;

		// Load key from QueryString
		if (@$_GET["cod_usuario"] <> "")
			$usuario->cod_usuario->setQueryStringValue($_GET["cod_usuario"]);

		// Create form object
		$objForm = new cFormObj();
		if (@$_POST["a_edit"] <> "") {
			$usuario->CurrentAction = $_POST["a_edit"]; // Get action code
			$this->LoadFormValues(); // Get form values

			// Validate Form
			if (!$this->ValidateForm()) {
				$usuario->CurrentAction = ""; // Form error, reset action
				$this->setMessage($gsFormError);
			}
		} else {
			$usuario->CurrentAction = "I"; // Default action is display
		}

		// Check if valid key
		if ($usuario->cod_usuario->CurrentValue == "")
			$this->Page_Terminate("usuariolist.php"); // Invalid key, return to list
		switch ($usuario->CurrentAction) {
			case "I": // Get a record to display
				if (!$this->LoadRow()) { // Load record based on key
					$this->setMessage("No se encontraron registros"); // No record found
					$this->Page_Terminate("usuariolist.php"); // No matching record, return to list
				}
				break;
			Case "U": // Update
				$usuario->SendEmail = TRUE; // Send email on update success
				if ($this->EditRow()) { // Update record based on key
					$this->setMessage("Actualizar exitoso"); // Update success
					$sReturnUrl = $usuario->getReturnUrl();
					$this->Page_Terminate($sReturnUrl); // Return to caller
				} else {
					$this->RestoreFormValues(); // Restore form values if update failed
				}
		}

		// Render the record
		$usuario->RowType = EW_ROWTYPE_EDIT; // Render as edit
		$this->RenderRow();
	}

	// Get upload files
	function GetUploadFiles() {
		global $objForm, $usuario;

		// Get upload data
	}

	// Load form values
	function LoadFormValues() {

		// Load from form
		global $objForm, $usuario;
		$usuario->cod_usuario->setFormValue($objForm->GetValue("x_cod_usuario"));
		$usuario->cod_distrito->setFormValue($objForm->GetValue("x_cod_distrito"));
		$usuario->cod_provincia->setFormValue($objForm->GetValue("x_cod_provincia"));
		$usuario->cod_dpto->setFormValue($objForm->GetValue("x_cod_dpto"));
		$usuario->cod_area->setFormValue($objForm->GetValue("x_cod_area"));
		$usuario->cod_grupo_usuario->setFormValue($objForm->GetValue("x_cod_grupo_usuario"));
		$usuario->num_dni->setFormValue($objForm->GetValue("x_num_dni"));
		$usuario->nom_usuario->setFormValue($objForm->GetValue("x_nom_usuario"));
		$usuario->ape_usuario->setFormValue($objForm->GetValue("x_ape_usuario"));
		$usuario->des_direccion->setFormValue($objForm->GetValue("x_des_direccion"));
		$usuario->num_telefono->setFormValue($objForm->GetValue("x_num_telefono"));
		$usuario->des_email->setFormValue($objForm->GetValue("x_des_email"));
		$usuario->fec_ingreso->setFormValue($objForm->GetValue("x_fec_ingreso"));
		$usuario->fec_ingreso->CurrentValue = ew_UnFormatDateTime($usuario->fec_ingreso->CurrentValue, 5);
		$usuario->des_info_adicional->setFormValue($objForm->GetValue("x_des_info_adicional"));
		$usuario->nom_usuario_sistema->setFormValue($objForm->GetValue("x_nom_usuario_sistema"));
		$usuario->des_password->setFormValue($objForm->GetValue("x_des_password"));
		$usuario->ind_activo->setFormValue($objForm->GetValue("x_ind_activo"));
		$usuario->cod_usuario_registro->setFormValue($objForm->GetValue("x_cod_usuario_registro"));
		$usuario->fec_registro->setFormValue($objForm->GetValue("x_fec_registro"));
		$usuario->fec_registro->CurrentValue = ew_UnFormatDateTime($usuario->fec_registro->CurrentValue, 5);
		$usuario->cod_usuario_modificacion->setFormValue($objForm->GetValue("x_cod_usuario_modificacion"));
		$usuario->fec_ultima_modificacion->setFormValue($objForm->GetValue("x_fec_ultima_modificacion"));
		$usuario->fec_ultima_modificacion->CurrentValue = ew_UnFormatDateTime($usuario->fec_ultima_modificacion->CurrentValue, 5);
	}

	// Restore form values
	function RestoreFormValues() {
		global $usuario;
		$this->LoadRow();
		$usuario->cod_usuario->CurrentValue = $usuario->cod_usuario->FormValue;
		$usuario->cod_distrito->CurrentValue = $usuario->cod_distrito->FormValue;
		$usuario->cod_provincia->CurrentValue = $usuario->cod_provincia->FormValue;
		$usuario->cod_dpto->CurrentValue = $usuario->cod_dpto->FormValue;
		$usuario->cod_area->CurrentValue = $usuario->cod_area->FormValue;
		$usuario->cod_grupo_usuario->CurrentValue = $usuario->cod_grupo_usuario->FormValue;
		$usuario->num_dni->CurrentValue = $usuario->num_dni->FormValue;
		$usuario->nom_usuario->CurrentValue = $usuario->nom_usuario->FormValue;
		$usuario->ape_usuario->CurrentValue = $usuario->ape_usuario->FormValue;
		$usuario->des_direccion->CurrentValue = $usuario->des_direccion->FormValue;
		$usuario->num_telefono->CurrentValue = $usuario->num_telefono->FormValue;
		$usuario->des_email->CurrentValue = $usuario->des_email->FormValue;
		$usuario->fec_ingreso->CurrentValue = $usuario->fec_ingreso->FormValue;
		$usuario->fec_ingreso->CurrentValue = ew_UnFormatDateTime($usuario->fec_ingreso->CurrentValue, 5);
		$usuario->des_info_adicional->CurrentValue = $usuario->des_info_adicional->FormValue;
		$usuario->nom_usuario_sistema->CurrentValue = $usuario->nom_usuario_sistema->FormValue;
		$usuario->des_password->CurrentValue = $usuario->des_password->FormValue;
		$usuario->ind_activo->CurrentValue = $usuario->ind_activo->FormValue;
		$usuario->cod_usuario_registro->CurrentValue = $usuario->cod_usuario_registro->FormValue;
		$usuario->fec_registro->CurrentValue = $usuario->fec_registro->FormValue;
		$usuario->fec_registro->CurrentValue = ew_UnFormatDateTime($usuario->fec_registro->CurrentValue, 5);
		$usuario->cod_usuario_modificacion->CurrentValue = $usuario->cod_usuario_modificacion->FormValue;
		$usuario->fec_ultima_modificacion->CurrentValue = $usuario->fec_ultima_modificacion->FormValue;
		$usuario->fec_ultima_modificacion->CurrentValue = ew_UnFormatDateTime($usuario->fec_ultima_modificacion->CurrentValue, 5);
	}

	// Load row based on key values
	function LoadRow() {
		global $conn, $Security, $usuario;
		$sFilter = $usuario->KeyFilter();

		// Call Row Selecting event
		$usuario->Row_Selecting($sFilter);

		// Load sql based on filter
		$usuario->CurrentFilter = $sFilter;
		$sSql = $usuario->SQL();
		if ($rs = $conn->Execute($sSql)) {
			if ($rs->EOF) {
				$LoadRow = FALSE;
			} else {
				$LoadRow = TRUE;
				$rs->MoveFirst();
				$this->LoadRowValues($rs); // Load row values

				// Call Row Selected event
				$usuario->Row_Selected($rs);
			}
			$rs->Close();
		} else {
			$LoadRow = FALSE;
		}
		return $LoadRow;
	}

	// Load row values from recordset
	function LoadRowValues(&$rs) {
		global $usuario;
		$usuario->cod_usuario->setDbValue($rs->fields('cod_usuario'));
		$usuario->cod_distrito->setDbValue($rs->fields('cod_distrito'));
		$usuario->cod_provincia->setDbValue($rs->fields('cod_provincia'));
		$usuario->cod_dpto->setDbValue($rs->fields('cod_dpto'));
		$usuario->cod_area->setDbValue($rs->fields('cod_area'));
		$usuario->cod_grupo_usuario->setDbValue($rs->fields('cod_grupo_usuario'));
		$usuario->num_dni->setDbValue($rs->fields('num_dni'));
		$usuario->nom_usuario->setDbValue($rs->fields('nom_usuario'));
		$usuario->ape_usuario->setDbValue($rs->fields('ape_usuario'));
		$usuario->des_direccion->setDbValue($rs->fields('des_direccion'));
		$usuario->num_telefono->setDbValue($rs->fields('num_telefono'));
		$usuario->des_email->setDbValue($rs->fields('des_email'));
		$usuario->fec_ingreso->setDbValue($rs->fields('fec_ingreso'));
		$usuario->des_info_adicional->setDbValue($rs->fields('des_info_adicional'));
		$usuario->nom_usuario_sistema->setDbValue($rs->fields('nom_usuario_sistema'));
		$usuario->des_password->setDbValue($rs->fields('des_password'));
		$usuario->ind_activo->setDbValue($rs->fields('ind_activo'));
		$usuario->cod_usuario_registro->setDbValue($rs->fields('cod_usuario_registro'));
		$usuario->fec_registro->setDbValue($rs->fields('fec_registro'));
		$usuario->cod_usuario_modificacion->setDbValue($rs->fields('cod_usuario_modificacion'));
		$usuario->fec_ultima_modificacion->setDbValue($rs->fields('fec_ultima_modificacion'));
	}

	// Render row values based on field settings
	function RenderRow() {
		global $conn, $Security, $usuario;

		// Call Row_Rendering event
		$usuario->Row_Rendering();

		// Common render codes for all row types
		// cod_usuario

		$usuario->cod_usuario->CellCssStyle = "";
		$usuario->cod_usuario->CellCssClass = "";

		// cod_distrito
		$usuario->cod_distrito->CellCssStyle = "";
		$usuario->cod_distrito->CellCssClass = "";

		// cod_provincia
		$usuario->cod_provincia->CellCssStyle = "";
		$usuario->cod_provincia->CellCssClass = "";

		// cod_dpto
		$usuario->cod_dpto->CellCssStyle = "";
		$usuario->cod_dpto->CellCssClass = "";

		// cod_area
		$usuario->cod_area->CellCssStyle = "";
		$usuario->cod_area->CellCssClass = "";

		// cod_grupo_usuario
		$usuario->cod_grupo_usuario->CellCssStyle = "";
		$usuario->cod_grupo_usuario->CellCssClass = "";

		// num_dni
		$usuario->num_dni->CellCssStyle = "";
		$usuario->num_dni->CellCssClass = "";

		// nom_usuario
		$usuario->nom_usuario->CellCssStyle = "";
		$usuario->nom_usuario->CellCssClass = "";

		// ape_usuario
		$usuario->ape_usuario->CellCssStyle = "";
		$usuario->ape_usuario->CellCssClass = "";

		// des_direccion
		$usuario->des_direccion->CellCssStyle = "";
		$usuario->des_direccion->CellCssClass = "";

		// num_telefono
		$usuario->num_telefono->CellCssStyle = "";
		$usuario->num_telefono->CellCssClass = "";

		// des_email
		$usuario->des_email->CellCssStyle = "";
		$usuario->des_email->CellCssClass = "";

		// fec_ingreso
		$usuario->fec_ingreso->CellCssStyle = "";
		$usuario->fec_ingreso->CellCssClass = "";

		// des_info_adicional
		$usuario->des_info_adicional->CellCssStyle = "";
		$usuario->des_info_adicional->CellCssClass = "";

		// nom_usuario_sistema
		$usuario->nom_usuario_sistema->CellCssStyle = "";
		$usuario->nom_usuario_sistema->CellCssClass = "";

		// des_password
		$usuario->des_password->CellCssStyle = "";
		$usuario->des_password->CellCssClass = "";

		// ind_activo
		$usuario->ind_activo->CellCssStyle = "";
		$usuario->ind_activo->CellCssClass = "";

		// cod_usuario_registro
		$usuario->cod_usuario_registro->CellCssStyle = "";
		$usuario->cod_usuario_registro->CellCssClass = "";

		// fec_registro
		$usuario->fec_registro->CellCssStyle = "";
		$usuario->fec_registro->CellCssClass = "";

		// cod_usuario_modificacion
		$usuario->cod_usuario_modificacion->CellCssStyle = "";
		$usuario->cod_usuario_modificacion->CellCssClass = "";

		// fec_ultima_modificacion
		$usuario->fec_ultima_modificacion->CellCssStyle = "";
		$usuario->fec_ultima_modificacion->CellCssClass = "";
		if ($usuario->RowType == EW_ROWTYPE_VIEW) { // View row

			// cod_usuario
			$usuario->cod_usuario->ViewValue = $usuario->cod_usuario->CurrentValue;
			$usuario->cod_usuario->CssStyle = "";
			$usuario->cod_usuario->CssClass = "";
			$usuario->cod_usuario->ViewCustomAttributes = "";

			// cod_distrito
			$usuario->cod_distrito->ViewValue = $usuario->cod_distrito->CurrentValue;
			$usuario->cod_distrito->CssStyle = "";
			$usuario->cod_distrito->CssClass = "";
			$usuario->cod_distrito->ViewCustomAttributes = "";

			// cod_provincia
			$usuario->cod_provincia->ViewValue = $usuario->cod_provincia->CurrentValue;
			$usuario->cod_provincia->CssStyle = "";
			$usuario->cod_provincia->CssClass = "";
			$usuario->cod_provincia->ViewCustomAttributes = "";

			// cod_dpto
			$usuario->cod_dpto->ViewValue = $usuario->cod_dpto->CurrentValue;
			$usuario->cod_dpto->CssStyle = "";
			$usuario->cod_dpto->CssClass = "";
			$usuario->cod_dpto->ViewCustomAttributes = "";

			// cod_area
			$usuario->cod_area->ViewValue = $usuario->cod_area->CurrentValue;
			$usuario->cod_area->CssStyle = "";
			$usuario->cod_area->CssClass = "";
			$usuario->cod_area->ViewCustomAttributes = "";

			// cod_grupo_usuario
			$usuario->cod_grupo_usuario->ViewValue = $usuario->cod_grupo_usuario->CurrentValue;
			$usuario->cod_grupo_usuario->CssStyle = "";
			$usuario->cod_grupo_usuario->CssClass = "";
			$usuario->cod_grupo_usuario->ViewCustomAttributes = "";

			// num_dni
			$usuario->num_dni->ViewValue = $usuario->num_dni->CurrentValue;
			$usuario->num_dni->CssStyle = "";
			$usuario->num_dni->CssClass = "";
			$usuario->num_dni->ViewCustomAttributes = "";

			// nom_usuario
			$usuario->nom_usuario->ViewValue = $usuario->nom_usuario->CurrentValue;
			$usuario->nom_usuario->CssStyle = "";
			$usuario->nom_usuario->CssClass = "";
			$usuario->nom_usuario->ViewCustomAttributes = "";

			// ape_usuario
			$usuario->ape_usuario->ViewValue = $usuario->ape_usuario->CurrentValue;
			$usuario->ape_usuario->CssStyle = "";
			$usuario->ape_usuario->CssClass = "";
			$usuario->ape_usuario->ViewCustomAttributes = "";

			// des_direccion
			$usuario->des_direccion->ViewValue = $usuario->des_direccion->CurrentValue;
			$usuario->des_direccion->CssStyle = "";
			$usuario->des_direccion->CssClass = "";
			$usuario->des_direccion->ViewCustomAttributes = "";

			// num_telefono
			$usuario->num_telefono->ViewValue = $usuario->num_telefono->CurrentValue;
			$usuario->num_telefono->CssStyle = "";
			$usuario->num_telefono->CssClass = "";
			$usuario->num_telefono->ViewCustomAttributes = "";

			// des_email
			$usuario->des_email->ViewValue = $usuario->des_email->CurrentValue;
			$usuario->des_email->CssStyle = "";
			$usuario->des_email->CssClass = "";
			$usuario->des_email->ViewCustomAttributes = "";

			// fec_ingreso
			$usuario->fec_ingreso->ViewValue = $usuario->fec_ingreso->CurrentValue;
			$usuario->fec_ingreso->ViewValue = ew_FormatDateTime($usuario->fec_ingreso->ViewValue, 5);
			$usuario->fec_ingreso->CssStyle = "";
			$usuario->fec_ingreso->CssClass = "";
			$usuario->fec_ingreso->ViewCustomAttributes = "";

			// des_info_adicional
			$usuario->des_info_adicional->ViewValue = $usuario->des_info_adicional->CurrentValue;
			if (!is_null($usuario->des_info_adicional->ViewValue)) $usuario->des_info_adicional->ViewValue = str_replace("\n", "<br>", $usuario->des_info_adicional->ViewValue); 
			$usuario->des_info_adicional->CssStyle = "";
			$usuario->des_info_adicional->CssClass = "";
			$usuario->des_info_adicional->ViewCustomAttributes = "";

			// nom_usuario_sistema
			$usuario->nom_usuario_sistema->ViewValue = $usuario->nom_usuario_sistema->CurrentValue;
			$usuario->nom_usuario_sistema->CssStyle = "";
			$usuario->nom_usuario_sistema->CssClass = "";
			$usuario->nom_usuario_sistema->ViewCustomAttributes = "";

			// des_password
			$usuario->des_password->ViewValue = $usuario->des_password->CurrentValue;
			$usuario->des_password->CssStyle = "";
			$usuario->des_password->CssClass = "";
			$usuario->des_password->ViewCustomAttributes = "";

			// ind_activo
			$usuario->ind_activo->ViewValue = $usuario->ind_activo->CurrentValue;
			$usuario->ind_activo->CssStyle = "";
			$usuario->ind_activo->CssClass = "";
			$usuario->ind_activo->ViewCustomAttributes = "";

			// cod_usuario_registro
			$usuario->cod_usuario_registro->ViewValue = $usuario->cod_usuario_registro->CurrentValue;
			$usuario->cod_usuario_registro->CssStyle = "";
			$usuario->cod_usuario_registro->CssClass = "";
			$usuario->cod_usuario_registro->ViewCustomAttributes = "";

			// fec_registro
			$usuario->fec_registro->ViewValue = $usuario->fec_registro->CurrentValue;
			$usuario->fec_registro->ViewValue = ew_FormatDateTime($usuario->fec_registro->ViewValue, 5);
			$usuario->fec_registro->CssStyle = "";
			$usuario->fec_registro->CssClass = "";
			$usuario->fec_registro->ViewCustomAttributes = "";

			// cod_usuario_modificacion
			$usuario->cod_usuario_modificacion->ViewValue = $usuario->cod_usuario_modificacion->CurrentValue;
			$usuario->cod_usuario_modificacion->CssStyle = "";
			$usuario->cod_usuario_modificacion->CssClass = "";
			$usuario->cod_usuario_modificacion->ViewCustomAttributes = "";

			// fec_ultima_modificacion
			$usuario->fec_ultima_modificacion->ViewValue = $usuario->fec_ultima_modificacion->CurrentValue;
			$usuario->fec_ultima_modificacion->ViewValue = ew_FormatDateTime($usuario->fec_ultima_modificacion->ViewValue, 5);
			$usuario->fec_ultima_modificacion->CssStyle = "";
			$usuario->fec_ultima_modificacion->CssClass = "";
			$usuario->fec_ultima_modificacion->ViewCustomAttributes = "";

			// cod_usuario
			$usuario->cod_usuario->HrefValue = "";

			// cod_distrito
			$usuario->cod_distrito->HrefValue = "";

			// cod_provincia
			$usuario->cod_provincia->HrefValue = "";

			// cod_dpto
			$usuario->cod_dpto->HrefValue = "";

			// cod_area
			$usuario->cod_area->HrefValue = "";

			// cod_grupo_usuario
			$usuario->cod_grupo_usuario->HrefValue = "";

			// num_dni
			$usuario->num_dni->HrefValue = "";

			// nom_usuario
			$usuario->nom_usuario->HrefValue = "";

			// ape_usuario
			$usuario->ape_usuario->HrefValue = "";

			// des_direccion
			$usuario->des_direccion->HrefValue = "";

			// num_telefono
			$usuario->num_telefono->HrefValue = "";

			// des_email
			$usuario->des_email->HrefValue = "";

			// fec_ingreso
			$usuario->fec_ingreso->HrefValue = "";

			// des_info_adicional
			$usuario->des_info_adicional->HrefValue = "";

			// nom_usuario_sistema
			$usuario->nom_usuario_sistema->HrefValue = "";

			// des_password
			$usuario->des_password->HrefValue = "";

			// ind_activo
			$usuario->ind_activo->HrefValue = "";

			// cod_usuario_registro
			$usuario->cod_usuario_registro->HrefValue = "";

			// fec_registro
			$usuario->fec_registro->HrefValue = "";

			// cod_usuario_modificacion
			$usuario->cod_usuario_modificacion->HrefValue = "";

			// fec_ultima_modificacion
			$usuario->fec_ultima_modificacion->HrefValue = "";
		} elseif ($usuario->RowType == EW_ROWTYPE_EDIT) { // Edit row

			// cod_usuario
			$usuario->cod_usuario->EditCustomAttributes = "";
			$usuario->cod_usuario->EditValue = $usuario->cod_usuario->CurrentValue;
			$usuario->cod_usuario->CssStyle = "";
			$usuario->cod_usuario->CssClass = "";
			$usuario->cod_usuario->ViewCustomAttributes = "";

			// cod_distrito
			$usuario->cod_distrito->EditCustomAttributes = "";
			$usuario->cod_distrito->EditValue = ew_HtmlEncode($usuario->cod_distrito->CurrentValue);

			// cod_provincia
			$usuario->cod_provincia->EditCustomAttributes = "";
			$usuario->cod_provincia->EditValue = ew_HtmlEncode($usuario->cod_provincia->CurrentValue);

			// cod_dpto
			$usuario->cod_dpto->EditCustomAttributes = "";
			$usuario->cod_dpto->EditValue = ew_HtmlEncode($usuario->cod_dpto->CurrentValue);

			// cod_area
			$usuario->cod_area->EditCustomAttributes = "";
			$usuario->cod_area->EditValue = ew_HtmlEncode($usuario->cod_area->CurrentValue);

			// cod_grupo_usuario
			$usuario->cod_grupo_usuario->EditCustomAttributes = "";
			$usuario->cod_grupo_usuario->EditValue = ew_HtmlEncode($usuario->cod_grupo_usuario->CurrentValue);

			// num_dni
			$usuario->num_dni->EditCustomAttributes = "";
			$usuario->num_dni->EditValue = ew_HtmlEncode($usuario->num_dni->CurrentValue);

			// nom_usuario
			$usuario->nom_usuario->EditCustomAttributes = "";
			$usuario->nom_usuario->EditValue = ew_HtmlEncode($usuario->nom_usuario->CurrentValue);

			// ape_usuario
			$usuario->ape_usuario->EditCustomAttributes = "";
			$usuario->ape_usuario->EditValue = ew_HtmlEncode($usuario->ape_usuario->CurrentValue);

			// des_direccion
			$usuario->des_direccion->EditCustomAttributes = "";
			$usuario->des_direccion->EditValue = ew_HtmlEncode($usuario->des_direccion->CurrentValue);

			// num_telefono
			$usuario->num_telefono->EditCustomAttributes = "";
			$usuario->num_telefono->EditValue = ew_HtmlEncode($usuario->num_telefono->CurrentValue);

			// des_email
			$usuario->des_email->EditCustomAttributes = "";
			$usuario->des_email->EditValue = ew_HtmlEncode($usuario->des_email->CurrentValue);

			// fec_ingreso
			$usuario->fec_ingreso->EditCustomAttributes = "";
			$usuario->fec_ingreso->EditValue = ew_HtmlEncode(ew_FormatDateTime($usuario->fec_ingreso->CurrentValue, 5));

			// des_info_adicional
			$usuario->des_info_adicional->EditCustomAttributes = "";
			$usuario->des_info_adicional->EditValue = ew_HtmlEncode($usuario->des_info_adicional->CurrentValue);

			// nom_usuario_sistema
			$usuario->nom_usuario_sistema->EditCustomAttributes = "";
			$usuario->nom_usuario_sistema->EditValue = ew_HtmlEncode($usuario->nom_usuario_sistema->CurrentValue);

			// des_password
			$usuario->des_password->EditCustomAttributes = "";
			$usuario->des_password->EditValue = ew_HtmlEncode($usuario->des_password->CurrentValue);

			// ind_activo
			$usuario->ind_activo->EditCustomAttributes = "";
			$usuario->ind_activo->EditValue = ew_HtmlEncode($usuario->ind_activo->CurrentValue);

			// cod_usuario_registro
			$usuario->cod_usuario_registro->EditCustomAttributes = "";
			$usuario->cod_usuario_registro->EditValue = ew_HtmlEncode($usuario->cod_usuario_registro->CurrentValue);

			// fec_registro
			$usuario->fec_registro->EditCustomAttributes = "";
			$usuario->fec_registro->EditValue = ew_HtmlEncode(ew_FormatDateTime($usuario->fec_registro->CurrentValue, 5));

			// cod_usuario_modificacion
			$usuario->cod_usuario_modificacion->EditCustomAttributes = "";
			$usuario->cod_usuario_modificacion->EditValue = ew_HtmlEncode($usuario->cod_usuario_modificacion->CurrentValue);

			// fec_ultima_modificacion
			$usuario->fec_ultima_modificacion->EditCustomAttributes = "";
			$usuario->fec_ultima_modificacion->EditValue = ew_HtmlEncode(ew_FormatDateTime($usuario->fec_ultima_modificacion->CurrentValue, 5));

			// Edit refer script
			// cod_usuario

			$usuario->cod_usuario->HrefValue = "";

			// cod_distrito
			$usuario->cod_distrito->HrefValue = "";

			// cod_provincia
			$usuario->cod_provincia->HrefValue = "";

			// cod_dpto
			$usuario->cod_dpto->HrefValue = "";

			// cod_area
			$usuario->cod_area->HrefValue = "";

			// cod_grupo_usuario
			$usuario->cod_grupo_usuario->HrefValue = "";

			// num_dni
			$usuario->num_dni->HrefValue = "";

			// nom_usuario
			$usuario->nom_usuario->HrefValue = "";

			// ape_usuario
			$usuario->ape_usuario->HrefValue = "";

			// des_direccion
			$usuario->des_direccion->HrefValue = "";

			// num_telefono
			$usuario->num_telefono->HrefValue = "";

			// des_email
			$usuario->des_email->HrefValue = "";

			// fec_ingreso
			$usuario->fec_ingreso->HrefValue = "";

			// des_info_adicional
			$usuario->des_info_adicional->HrefValue = "";

			// nom_usuario_sistema
			$usuario->nom_usuario_sistema->HrefValue = "";

			// des_password
			$usuario->des_password->HrefValue = "";

			// ind_activo
			$usuario->ind_activo->HrefValue = "";

			// cod_usuario_registro
			$usuario->cod_usuario_registro->HrefValue = "";

			// fec_registro
			$usuario->fec_registro->HrefValue = "";

			// cod_usuario_modificacion
			$usuario->cod_usuario_modificacion->HrefValue = "";

			// fec_ultima_modificacion
			$usuario->fec_ultima_modificacion->HrefValue = "";
		}

		// Call Row Rendered event
		$usuario->Row_Rendered();
	}

	// Validate form
	function ValidateForm() {
		global $gsFormError, $usuario;

		// Initialize
		$gsFormError = "";

		// Check if validation required
		if (!EW_SERVER_VALIDATE)
			return ($gsFormError == "");
		if ($usuario->cod_area->FormValue == "") {
			$gsFormError .= ($gsFormError <> "") ? "<br>" : "";
			$gsFormError .= "Ingresar campo obligatorio - cod area";
		}
		if (!ew_CheckInteger($usuario->cod_area->FormValue)) {
			if ($gsFormError <> "") $gsFormError .= "<br>";
			$gsFormError .= "Incorrect integer - cod area";
		}
		if ($usuario->cod_grupo_usuario->FormValue == "") {
			$gsFormError .= ($gsFormError <> "") ? "<br>" : "";
			$gsFormError .= "Ingresar campo obligatorio - cod grupo usuario";
		}
		if (!ew_CheckInteger($usuario->cod_grupo_usuario->FormValue)) {
			if ($gsFormError <> "") $gsFormError .= "<br>";
			$gsFormError .= "Incorrect integer - cod grupo usuario";
		}
		if ($usuario->num_dni->FormValue == "") {
			$gsFormError .= ($gsFormError <> "") ? "<br>" : "";
			$gsFormError .= "Ingresar campo obligatorio - num dni";
		}
		if ($usuario->nom_usuario->FormValue == "") {
			$gsFormError .= ($gsFormError <> "") ? "<br>" : "";
			$gsFormError .= "Ingresar campo obligatorio - nom usuario";
		}
		if ($usuario->ape_usuario->FormValue == "") {
			$gsFormError .= ($gsFormError <> "") ? "<br>" : "";
			$gsFormError .= "Ingresar campo obligatorio - ape usuario";
		}
		if ($usuario->des_direccion->FormValue == "") {
			$gsFormError .= ($gsFormError <> "") ? "<br>" : "";
			$gsFormError .= "Ingresar campo obligatorio - des direccion";
		}
		if ($usuario->fec_ingreso->FormValue == "") {
			$gsFormError .= ($gsFormError <> "") ? "<br>" : "";
			$gsFormError .= "Ingresar campo obligatorio - fec ingreso";
		}
		if (!ew_CheckDate($usuario->fec_ingreso->FormValue)) {
			if ($gsFormError <> "") $gsFormError .= "<br>";
			$gsFormError .= "Incorrect date, format = yyyy/mm/dd - fec ingreso";
		}
		if ($usuario->ind_activo->FormValue == "") {
			$gsFormError .= ($gsFormError <> "") ? "<br>" : "";
			$gsFormError .= "Ingresar campo obligatorio - ind activo";
		}
		if ($usuario->cod_usuario_registro->FormValue == "") {
			$gsFormError .= ($gsFormError <> "") ? "<br>" : "";
			$gsFormError .= "Ingresar campo obligatorio - cod usuario registro";
		}
		if (!ew_CheckInteger($usuario->cod_usuario_registro->FormValue)) {
			if ($gsFormError <> "") $gsFormError .= "<br>";
			$gsFormError .= "Incorrect integer - cod usuario registro";
		}
		if ($usuario->fec_registro->FormValue == "") {
			$gsFormError .= ($gsFormError <> "") ? "<br>" : "";
			$gsFormError .= "Ingresar campo obligatorio - fec registro";
		}
		if (!ew_CheckDate($usuario->fec_registro->FormValue)) {
			if ($gsFormError <> "") $gsFormError .= "<br>";
			$gsFormError .= "Incorrect date, format = yyyy/mm/dd - fec registro";
		}
		if (!ew_CheckInteger($usuario->cod_usuario_modificacion->FormValue)) {
			if ($gsFormError <> "") $gsFormError .= "<br>";
			$gsFormError .= "Incorrect integer - cod usuario modificacion";
		}
		if (!ew_CheckDate($usuario->fec_ultima_modificacion->FormValue)) {
			if ($gsFormError <> "") $gsFormError .= "<br>";
			$gsFormError .= "Incorrect date, format = yyyy/mm/dd - fec ultima modificacion";
		}

		// Return validate result
		$ValidateForm = ($gsFormError == "");

		// Call Form_CustomValidate event
		$sFormCustomError = "";
		$ValidateForm = $ValidateForm && $this->Form_CustomValidate($sFormCustomError);
		if ($sFormCustomError <> "") {
			$gsFormError .= ($gsFormError <> "") ? "<br>" : "";
			$gsFormError .= $sFormCustomError;
		}
		return $ValidateForm;
	}

	// Update record based on key values
	function EditRow() {
		global $conn, $Security, $usuario;
		$sFilter = $usuario->KeyFilter();
		$usuario->CurrentFilter = $sFilter;
		$sSql = $usuario->SQL();
		$conn->raiseErrorFn = 'ew_ErrorFn';
		$rs = $conn->Execute($sSql);
		$conn->raiseErrorFn = '';
		if ($rs === FALSE)
			return FALSE;
		if ($rs->EOF) {
			$EditRow = FALSE; // Update Failed
		} else {

			// Save old values
			$rsold =& $rs->fields;
			$rsnew = array();

			// Field cod_usuario
			// Field cod_distrito

			$usuario->cod_distrito->SetDbValueDef($usuario->cod_distrito->CurrentValue, NULL);
			$rsnew['cod_distrito'] =& $usuario->cod_distrito->DbValue;

			// Field cod_provincia
			$usuario->cod_provincia->SetDbValueDef($usuario->cod_provincia->CurrentValue, NULL);
			$rsnew['cod_provincia'] =& $usuario->cod_provincia->DbValue;

			// Field cod_dpto
			$usuario->cod_dpto->SetDbValueDef($usuario->cod_dpto->CurrentValue, NULL);
			$rsnew['cod_dpto'] =& $usuario->cod_dpto->DbValue;

			// Field cod_area
			$usuario->cod_area->SetDbValueDef($usuario->cod_area->CurrentValue, 0);
			$rsnew['cod_area'] =& $usuario->cod_area->DbValue;

			// Field cod_grupo_usuario
			$usuario->cod_grupo_usuario->SetDbValueDef($usuario->cod_grupo_usuario->CurrentValue, 0);
			$rsnew['cod_grupo_usuario'] =& $usuario->cod_grupo_usuario->DbValue;

			// Field num_dni
			$usuario->num_dni->SetDbValueDef($usuario->num_dni->CurrentValue, "");
			$rsnew['num_dni'] =& $usuario->num_dni->DbValue;

			// Field nom_usuario
			$usuario->nom_usuario->SetDbValueDef($usuario->nom_usuario->CurrentValue, "");
			$rsnew['nom_usuario'] =& $usuario->nom_usuario->DbValue;

			// Field ape_usuario
			$usuario->ape_usuario->SetDbValueDef($usuario->ape_usuario->CurrentValue, "");
			$rsnew['ape_usuario'] =& $usuario->ape_usuario->DbValue;

			// Field des_direccion
			$usuario->des_direccion->SetDbValueDef($usuario->des_direccion->CurrentValue, "");
			$rsnew['des_direccion'] =& $usuario->des_direccion->DbValue;

			// Field num_telefono
			$usuario->num_telefono->SetDbValueDef($usuario->num_telefono->CurrentValue, NULL);
			$rsnew['num_telefono'] =& $usuario->num_telefono->DbValue;

			// Field des_email
			$usuario->des_email->SetDbValueDef($usuario->des_email->CurrentValue, NULL);
			$rsnew['des_email'] =& $usuario->des_email->DbValue;

			// Field fec_ingreso
			$usuario->fec_ingreso->SetDbValueDef(ew_UnFormatDateTime($usuario->fec_ingreso->CurrentValue, 5), ew_CurrentDate());
			$rsnew['fec_ingreso'] =& $usuario->fec_ingreso->DbValue;

			// Field des_info_adicional
			$usuario->des_info_adicional->SetDbValueDef($usuario->des_info_adicional->CurrentValue, NULL);
			$rsnew['des_info_adicional'] =& $usuario->des_info_adicional->DbValue;

			// Field nom_usuario_sistema
			$usuario->nom_usuario_sistema->SetDbValueDef($usuario->nom_usuario_sistema->CurrentValue, NULL);
			$rsnew['nom_usuario_sistema'] =& $usuario->nom_usuario_sistema->DbValue;

			// Field des_password
			$usuario->des_password->SetDbValueDef($usuario->des_password->CurrentValue, NULL);
			$rsnew['des_password'] =& $usuario->des_password->DbValue;

			// Field ind_activo
			$usuario->ind_activo->SetDbValueDef($usuario->ind_activo->CurrentValue, "");
			$rsnew['ind_activo'] =& $usuario->ind_activo->DbValue;

			// Field cod_usuario_registro
			$usuario->cod_usuario_registro->SetDbValueDef($usuario->cod_usuario_registro->CurrentValue, 0);
			$rsnew['cod_usuario_registro'] =& $usuario->cod_usuario_registro->DbValue;

			// Field fec_registro
			$usuario->fec_registro->SetDbValueDef(ew_UnFormatDateTime($usuario->fec_registro->CurrentValue, 5), ew_CurrentDate());
			$rsnew['fec_registro'] =& $usuario->fec_registro->DbValue;

			// Field cod_usuario_modificacion
			$usuario->cod_usuario_modificacion->SetDbValueDef($usuario->cod_usuario_modificacion->CurrentValue, NULL);
			$rsnew['cod_usuario_modificacion'] =& $usuario->cod_usuario_modificacion->DbValue;

			// Field fec_ultima_modificacion
			$usuario->fec_ultima_modificacion->SetDbValueDef(ew_UnFormatDateTime($usuario->fec_ultima_modificacion->CurrentValue, 5), NULL);
			$rsnew['fec_ultima_modificacion'] =& $usuario->fec_ultima_modificacion->DbValue;

			// Call Row Updating event
			$bUpdateRow = $usuario->Row_Updating($rsold, $rsnew);
			if ($bUpdateRow) {
				$conn->raiseErrorFn = 'ew_ErrorFn';
				$EditRow = $conn->Execute($usuario->UpdateSQL($rsnew));
				$conn->raiseErrorFn = '';
			} else {
				if ($usuario->CancelMessage <> "") {
					$this->setMessage($usuario->CancelMessage);
					$usuario->CancelMessage = "";
				} else {
					$this->setMessage("Actualizar cancelado");
				}
				$EditRow = FALSE;
			}
		}

		// Call Row_Updated event
		if ($EditRow)
			$usuario->Row_Updated($rsold, $rsnew);
		$rs->Close();
		return $EditRow;
	}

	// Page Load event
	function Page_Load() {

		//echo "Page Load";
	}

	// Page Unload event
	function Page_Unload() {

		//echo "Page Unload";
	}

	// Form Custom Validate event
	function Form_CustomValidate(&$CustomError) {

		// Return error message in CustomError
		return TRUE;
	}
}
?>
